org.apache.ignite.ml.tree.randomforest.data.impurity

## Class MSEHistogramComputer

- java.lang.Object
- - org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer<MSEHistogram>
  - - org.apache.ignite.ml.tree.randomforest.data.impurity.MSEHistogramComputer

- All Implemented Interfaces:
    Serializable

      public class MSEHistogramComputer
      extends ImpurityHistogramsComputer<MSEHistogram>

  Histogram computer realization for MSE impurity metric.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer

      `ImpurityHistogramsComputer.NodeImpurityHistograms<S extends ImpurityComputer<BootstrappedVector,S>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSEHistogramComputer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MSEHistogram` | `createImpurityComputerForFeature(int sampleId, BucketMeta meta)` Creates impurity computer in according to specific algorithm based on random forest (for example `GiniHistogram` for classification).

    - ### Methods inherited from class org.apache.ignite.ml.tree.randomforest.data.impurity.ImpurityHistogramsComputer

      `aggregateImpurityStatistics`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MSEHistogramComputer

          public MSEHistogramComputer()

  - ### Method Detail

    - #### createImpurityComputerForFeature

          protected MSEHistogram createImpurityComputerForFeature(int sampleId,
                                                                  BucketMeta meta)

      Creates impurity computer in according to specific algorithm based on random forest (for example `GiniHistogram` for classification).
      Specified by:
        `createImpurityComputerForFeature` in class `ImpurityHistogramsComputer<MSEHistogram>`
      Parameters:
        `sampleId` - Sample id.
        `meta` - Bucket Meta.
      Returns:
        Impurity computer

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020